# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-devel perl-podlators
# END SourceDeps(oneline)
%global cpan_name MogileFS-Client

Name:           perl-%{cpan_name}
Version:        1.16
Release:        alt2_4
Summary:        Client library for the MogileFS distributed file system
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/~bradfitz/%{cpan_name}/
Source0:        http://search.cpan.org/CPAN/authors/id/D/DO/DORMANDO/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
# Run-time
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(Errno.pm)
BuildRequires:  perl(fields.pm)
BuildRequires:  perl(HTTP/Request.pm)
BuildRequires:  perl(HTTP/Status.pm)
BuildRequires:  perl(IO/Socket/INET.pm)
BuildRequires:  perl(IO/WrapTie.pm)
BuildRequires:  perl(LWP/UserAgent.pm)
BuildRequires:  perl(POSIX.pm)
BuildRequires:  perl(Socket.pm)
BuildRequires:  perl(Time/HiRes.pm)
# Tests
BuildRequires:  perl(LWP.pm)
BuildRequires:  perl(Test/More.pm)
Requires:       perl(IO/WrapTie.pm) >= 2.102

# Remove under-specified dependencies

Source44: import.info
%filter_from_requires /^^perl\\(IO::WrapTie\\)$/d

%description
This module is a client library for the MogileFS distributed file system.
The class method 'new' creates a client object against a particular
mogilefs tracker and domain. This object may then be used to store and
retrieve content easily from MogileFS.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;
# %{_fixperms} %{buildroot}/*

%check
make test

%files
%doc CHANGES TODO
%{perl_vendor_privlib}/MogileFS


%changelog
* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 1.16-alt2_4
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 1.16-alt2_3
- update to new release by fcimport

* Fri May 25 2012 Igor Vlasenko <viy@altlinux.ru> 1.16-alt2_1
- fc import

* Thu May 24 2012 Igor Vlasenko <viy@altlinux.ru> 1.16-alt1_1
- fc import

